Intrusion Prevention

Vim.Modelines.Remote.Command.Execution

Description

This indicates an attack attempt to exploit a command execution vulnerability in Vim.
The vulnerability is due to an error when the vulnerable software attempts to handle a maliciously crafted modeline. An attacker can exploit this by tricking an unsuspecting user into loading a malicious modeline and execute arbitrary code within the context of the application.

Affected Products

Vim prior to 8.0.0056

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

Recommended Actions

Apply the most recent upgrade or patch from the vendor.
https://github.com/vim/vim/releases/tag/v8.0.0056

CVE References

CVE-2016-1248